969 Wiadomości w 117 wątkach, - wysłana przez 106 użytkowników - Najnowszy użytkownik: Kamilbsg

Pokaż wiadomości

Ta sekcja pozwala Ci zobaczyć wszystkie wiadomości wysłane przez tego użytkownika. Zwróć uwagę, że możesz widzieć tylko wiadomości wysłane w działach do których masz aktualnie dostęp.


Wiadomości - rav3n_pl

Strony: 1 2 [3] 4 5 6
31
Z kodu w main.cpp można wywalić:
unsigned int static GetNextWorkRequired_V2
unsigned int static KimotoGravityWell
bo są nie używane.
No i nie widzę aktywacji do mainnetu.

Ja zrobiłem to tak (HF przy bloku nr 8 w testnecie i 1000 w mainnecie):
unsigned int GetNextWorkRequired(const CBlockIndex* pindexLast, const CBlockHeader *pblock)
{
    if (TestNet())
    {
if (pindexLast->nHeight < 8)
{
    return GetNextWorkRequired_v1(pindexLast, pblock);
}
    return DarkGravityWave3(pindexLast, pblock);
    }
    if (pindexLast->nHeight < 1000)
{
        return GetNextWorkRequired_v1(pindexLast, pblock);
}
    return DarkGravityWave3(pindexLast, pblock);
}
i działało :)

32
Prace wdrożeniowe / Odp: Polcoin-core 1.5.1.0 wydany
« dnia: Styczeń 12, 2017, 10:15:30 pm  »
No chyba by trzeba hardfork zrobić z adaptacją trudności i od razu "poprawić" wersję bloku na właściwą dla tego Core.

33
Prace wdrożeniowe / Odp: Polcoin-core 1.5.1.0 wydany
« dnia: Styczeń 09, 2017, 05:52:33 pm  »
gitpull załatwił sprawę :P
Miałem wersję sprzed ostatniego patcha, nie sprawdziłem.
Przepraszam za zamieszanie.

34
Prace wdrożeniowe / Odp: Polcoin-core 1.5.1.0 wydany
« dnia: Styczeń 01, 2017, 07:29:12 pm  »
No to sobie odpowiem:
    {
        "id" : 4,
        "addr" : "xxx",
        "addrlocal" : "91.235.254.37:9338",
        "services" : "0000000000000001",
        "lastsend" : 1483295125,
        "lastrecv" : 1483295125,
        "bytessent" : 1899,
        "bytesrecv" : 818,
        "conntime" : 1483294044,
        "pingtime" : 0.13324800,
        "version" : 70001,
        "subver" : "/Genesis pass:1.5.1/",
        "inbound" : true,
        "startingheight" : 971298,
        "banscore" : 0,
        "synced_headers" : -1,
        "synced_blocks" : -1,
        "inflight" : [
        ],
        "whitelisted" : false
    },
    {
        "id" : 5,
        "addr" : "xxx",
        "addrlocal" : "91.235.254.37:9338",
        "services" : "0000000000000001",
        "lastsend" : 1483295157,
        "lastrecv" : 1483295157,
        "bytessent" : 14376,
        "bytesrecv" : 1786138,
        "conntime" : 1483294054,
        "pingtime" : 2.66929700,
        "version" : 70001,
        "subver" : "/New Epoch:1.4.0.1/",
        "inbound" : true,
        "startingheight" : 1023869,
Stara wersja jest ponad 10`000 bloków "dalej" niż nowa...
A "firmowy" explorator jest na "starym" forku.

35
Prace wdrożeniowe / Odp: Polcoin-core 1.5.1.0 wydany
« dnia: Styczeń 01, 2017, 06:50:27 pm  »
Jestem w dobrym forku?
polcoin-core/src/polcoin-cli getinfo
{
    "version" : 1050100,
    "protocolversion" : 70001,
    "walletversion" : 60000,
    "balance" : xxx,
    "blocks" : 971298,
    "timeoffset" : 5,
    "connections" : 13,
    "proxy" : "",
    "difficulty" : 265436.89997219,

36
Prace wdrożeniowe / Odp: Polcoin-core 1.5.1.0 wydany
« dnia: Grudzień 19, 2016, 09:58:21 pm  »
Coś się spsuło:
2016-12-19 20:55:53 ERROR: invalid header received
2016-12-19 20:55:53 ProcessMessage(headers, 162003 bytes) FAILED peer=12
2016-12-19 20:55:53 ERROR: ContextualCheckBlockHeader : rejected nVersion=2 block
2016-12-19 20:55:53 ERROR: invalid header received
2016-12-19 20:55:53 ProcessMessage(headers, 162003 bytes) FAILED peer=2
2016-12-19 20:55:53 ERROR: ContextualCheckBlockHeader : rejected nVersion=2 block
2016-12-19 20:55:53 ERROR: invalid header received
2016-12-19 20:55:53 ProcessMessage(headers, 162003 bytes) FAILED peer=3
2016-12-19 20:55:53 ERROR: ContextualCheckBlockHeader : rejected nVersion=2 block
2016-12-19 20:55:53 ERROR: invalid header received
2016-12-19 20:55:53 ProcessMessage(headers, 162003 bytes) FAILED peer=6
2016-12-19 20:55:54 ERROR: ContextualCheckBlockHeader : rejected nVersion=2 block
2016-12-19 20:55:54 ERROR: invalid header received
2016-12-19 20:55:54 ProcessMessage(headers, 162003 bytes) FAILED peer=10
2016-12-19 20:55:55 ERROR: ContextualCheckBlockHeader : rejected nVersion=2 block
2016-12-19 20:55:55 ERROR: invalid header received
2016-12-19 20:55:55 ProcessMessage(headers, 162003 bytes) FAILED peer=14
2016-12-19 20:55:58 ERROR: ContextualCheckBlockHeader : rejected nVersion=2 block
2016-12-19 20:55:58 ERROR: invalid header received
2016-12-19 20:55:58 ProcessMessage(headers, 162003 bytes) FAILED peer=7
2016-12-19 20:56:00 ERROR: ContextualCheckBlockHeader : rejected nVersion=2 block
2016-12-19 20:56:00 ERROR: invalid header received
2016-12-19 20:56:00 ProcessMessage(headers, 162003 bytes) FAILED peer=13
2016-12-19 20:56:25 connect() to 194.88.155.174:9338 failed after select(): Connection refused (111)
2016-12-19 20:56:33 connect() to 78.31.153.129:9338 failed after select(): Connection refused (111)
2016-12-19 20:56:41 connect() to 69.39.239.47:9338 failed after select(): Connection refused (111)
2016-12-19 20:56:53 ERROR: AcceptToMemoryPool : nonstandard transaction: non-final
2016-12-19 20:56:55 ERROR: AcceptToMemoryPool : nonstandard transaction: non-final
2016-12-19 20:57:04 connect() to 108.61.103.113:9338 failed after select(): Connection refused (111)
2016-12-19 20:57:05 connect() to 91.228.95.248:9338 failed after select(): Connection refused (111)
Wygląda mi to na konflikt wersji - bloki v2 są nie obsługiwane a nadal kopane w "starej" wersji Polcoin. Polcoin-core je odrzuca, bo wcześniej były juz bloki z większym numerem wersji.

37
Prace wdrożeniowe / Odp: Regulacja trudności
« dnia: Wrzesień 29, 2016, 10:36:02 am  »
Ok, po weekendzie się wezmę :)

38
Prace wdrożeniowe / Regulacja trudności
« dnia: Wrzesień 27, 2016, 10:33:47 am  »
Może wdrożyć DGW zamiast KGW?
Dostałem zadanie żeby naprawić regulację w jednej walucie, i KGW potrafi straszne rzeczy wyprawiać przy dużych skokach mocy.
DGW reagowało nieco wolniej, ale nie było cyrków jak w KGW.
KGW potrafiło mi się "zawiesić" z jakimś błędem w obliczeniach trudności i łańcuch stawał (bawiłem się w testnecie).


39
Prace wdrożeniowe / Odp: Polcoin-core 1.5.1.0 wydany
« dnia: Lipiec 04, 2016, 09:08:11 am  »
Ja mam 16 połączeń (z poolem) i tylko 2 wychodzące w ciągu kilku chwil od połączenia.
Ponieważ mam większość przychodzących, więc nie wiem które podać (nie wiem które mają otwarte porty).

40
Prace wdrożeniowe / Odp: Polcoin-core 1.5.1.0 wydany
« dnia: Czerwiec 27, 2016, 02:04:59 am  »
Przestawiłem swojego P2Poola żeby produkował bloki z wersją 4.
Zobaczymy co to będzie :)

41
Kopalnie / Odp: Oficjalna kopalnia Polcoin
« dnia: Czerwiec 27, 2016, 01:44:30 am  »
Na samym dole https://pool.polcoin.pl/index.php?lang=pl stoi (c) za 2014 i megawaluta jako giełda. Warto zaktualizować.

42
Kopalnie / Odp: Sieć P2Pool
« dnia: Czerwiec 27, 2016, 01:42:11 am  »
Od "jakiegoś" czasu jestem jedynym węzłem P2Pool.
Jestem też jednym górnikiem u siebie...
Jak moja VMka pada to koparka nie ma co robić :(

43
Akcje promocyjne / Odp: Konkurencja zaprasza na swoje forum
« dnia: Czerwiec 13, 2016, 08:38:23 pm  »
Nie bardzo rozumiem.
Forum które "spina" wszystkie monety wydaje się być forum.bitcoin.pl
Na forach innych monet można by dodać wątek dotyczący zmian (w kodzie, nowe kopalnie czy giełdy) i właściwie chyba nic więcej.

44
Giełdy / Odp: [Polska giełda] - easycoin.pl otwiera działalność
« dnia: Kwiecień 30, 2016, 03:09:25 pm  »
Rejestrowałem się, nie da się handlować - 1000plc to za mało :P

45
Giełdy / Odp: [Polska giełda] - easycoin.pl otwiera działalność
« dnia: Kwiecień 17, 2016, 11:30:48 am  »
Czy coś się rusza?
Zasadniczo oprócz cryptopii nie mamy nic...

Strony: 1 2 [3] 4 5 6